# Collider Plugin

This unofficial TaleSpire plugin solid surfaces to mini in order to create effects like ship decks, wagons,
vehicles, watch towers, etc without needing to use tiles.

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log
```
1.2.0: Updated for compatibility with BR Slab Browser update
1.0.0: Initial release
```

## Install

Install using R2ModMan or similar.

## Usage

Dropped minis will not go through defined solid surfaces in corresponding minis.

## Content Creation

While the plugin will encase minis in a bounding box for the pupose of collisions, in most cases it is desirable to
refine the collision surfaces so that they match the desired mini. For example, a ship would have masts and sails so
using a bounding box for the entire ship would mean a solid surface above the mast. In order to correct this, the
main can contain any number of colliders to define solid surfaces. All these colliders will be treated as box colliders
so using box colliders is the ideal choice.

It should be noted that only horizontal surfaces of the colliders are solid so the colliders will prevent drops but
not passing though the object from the side. Similarly a mini can always be moved though a collider manually - the
colliders just prevent fall though due to gravity.

1. Create mini.
2. Add box colliders overlapping with surfaces that are to be solid.
3. Build asset.

## Limitations

1. Colliders are all treated at Box Colliders even if the mini uses a different type of Collider.
2. Colliders only work for gravity falls. User can still move a mini though collider surfaces.
